"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const collect_js_1 = tslib_1.__importDefault(require("collect.js"));
class Collection {
    constructor(items = []) {
        this.collection = collect_js_1.default(items);
        return new Proxy(this, {
            get: Collection.__get,
        });
    }
    static __get(target, prop) {
        if (Reflect.has(target, prop)) {
            return Reflect.get(target, prop);
        }
        const collection = Reflect.get(target, 'collection');
        if (Reflect.has(collection, prop)) {
            return Reflect.get(collection, prop);
        }
        return undefined;
    }
    static fromArray(array, skipEmpty = true) {
        return new Collection(array.filter(i => i || !skipEmpty));
    }
}
exports.default = Collection;
//# sourceMappingURL=Collection.js.map